project(Tests)

# TEST_DIRS
add_subdirectory(MockRegEdit)
add_subdirectory(RegEdit)
add_subdirectory(simple_test)
add_subdirectory(ADC)
add_subdirectory(MockADC)




# TEST_RUNNER
add_executable(AllTests
    AllTests.cpp    
)

target_link_libraries(AllTests
    ${CPPUTEST_LIBRARIES}/libCppUTest.a
    ${CPPUTEST_LIBRARIES}/libCppUTestExt.a
    # TEST_LINKS
    test_ADC
    test_RegEdit
    simple_test
)

add_executable(Mock_Tests
    MockTests.cpp    
)

target_link_libraries(Mock_Tests
    ${CPPUTEST_LIBRARIES}/libCppUTest.a
    ${CPPUTEST_LIBRARIES}/libCppUTestExt.a
	test_MockRegEdit
    test_MockADC
)
